<!-- autogenerated by scripts/create/create-docs.js -->
<!-- markdownlint-disable MD013 -->
# Axe: ARIA (`aria`)

`axe/aria` contains accessibility rules
from the axe aria category.

See the ["Can the hint be configured?"][can configure] section of
`hint-axe` for examples of enabling, disabling, and changing the
severity of individual rules.

## Default rules (WCAG 2.1 Level A and Level AA)

* [Elements must only use allowed ARIA attributes][aria-allowed-attr] (aria-allowed-attr)
* [Unsupported DPUB ARIA roles should be used on elements with implicit fallback roles][aria-dpub-role-fallback] (aria-dpub-role-fallback)
* [aria-hidden='true' must not be present on the document body][aria-hidden-body] (aria-hidden-body)
* [ARIA input fields have an accessible name][aria-input-field-name] (aria-input-field-name)
* [Required ARIA attributes must be provided][aria-required-attr] (aria-required-attr)
* [Certain ARIA roles must contain particular children][aria-required-children] (aria-required-children)
* [Certain ARIA roles must be contained by particular parents][aria-required-parent] (aria-required-parent)
* [ARIA roles used must conform to valid values][aria-roles] (aria-roles)
* [ARIA toggle fields have an accessible name][aria-toggle-field-name] (aria-toggle-field-name)
* [ARIA attributes must conform to valid names][aria-valid-attr] (aria-valid-attr)
* [ARIA attributes must conform to valid values][aria-valid-attr-value] (aria-valid-attr-value)

## Additional rules (off by default)

* [ARIA role must be appropriate for the element][aria-allowed-role] (aria-allowed-role)

<!-- Link labels: -->

[can configure]: https://webhint.io/docs/user-guide/hints/hint-axe/#can-the-hint-be-configured
[aria-allowed-attr]: https://dequeuniversity.com/rules/axe/3.3/aria-allowed-attr
[aria-allowed-role]: https://dequeuniversity.com/rules/axe/3.3/aria-allowed-role
[aria-dpub-role-fallback]: https://dequeuniversity.com/rules/axe/3.3/aria-dpub-role-fallback
[aria-hidden-body]: https://dequeuniversity.com/rules/axe/3.3/aria-hidden-body
[aria-input-field-name]: https://dequeuniversity.com/rules/axe/3.3/aria-input-field-name
[aria-required-attr]: https://dequeuniversity.com/rules/axe/3.3/aria-required-attr
[aria-required-children]: https://dequeuniversity.com/rules/axe/3.3/aria-required-children
[aria-required-parent]: https://dequeuniversity.com/rules/axe/3.3/aria-required-parent
[aria-roles]: https://dequeuniversity.com/rules/axe/3.3/aria-roles
[aria-toggle-field-name]: https://dequeuniversity.com/rules/axe/3.3/aria-toggle-field-name
[aria-valid-attr]: https://dequeuniversity.com/rules/axe/3.3/aria-valid-attr
[aria-valid-attr-value]: https://dequeuniversity.com/rules/axe/3.3/aria-valid-attr-value
