<!-- autogenerated by scripts/create/create-docs.js -->
<!-- markdownlint-disable MD013 -->
# Axe: Semantics (`semantics`)

`axe/semantics` contains accessibility rules
from the axe semantics category.

See the ["Can the hint be configured?"][can configure] section of
`hint-axe` for examples of enabling, disabling, and changing the
severity of individual rules.

## Default rules (WCAG 2.1 Level A and Level AA)

* [Layout tables must not use data table elements][layout-table] (layout-table)

## Additional rules (off by default)

* [Heading levels should only increase by one][heading-order] (heading-order)
* [Banner landmark must not be contained in another landmark][landmark-banner-is-top-level] (landmark-banner-is-top-level)
* [Aside must not be contained in another landmark][landmark-complementary-is-top-level] (landmark-complementary-is-top-level)
* [Contentinfo landmark must not be contained in another landmark][landmark-contentinfo-is-top-level] (landmark-contentinfo-is-top-level)
* [Main landmark must not be contained in another landmark][landmark-main-is-top-level] (landmark-main-is-top-level)
* [Document must not have more than one banner landmark][landmark-no-duplicate-banner] (landmark-no-duplicate-banner)
* [Document must not have more than one contentinfo landmark][landmark-no-duplicate-contentinfo] (landmark-no-duplicate-contentinfo)
* [Document must have one main landmark][landmark-one-main] (landmark-one-main)
* [Ensures landmarks are unique][landmark-unique] (landmark-unique)
* [Bold, italic text and font-size are not used to style p elements as a heading][p-as-heading] (p-as-heading)
* [Page must contain a level-one heading][page-has-heading-one] (page-has-heading-one)

<!-- Link labels: -->

[can configure]: https://webhint.io/docs/user-guide/hints/hint-axe/#can-the-hint-be-configured
[heading-order]: https://dequeuniversity.com/rules/axe/3.3/heading-order
[landmark-banner-is-top-level]: https://dequeuniversity.com/rules/axe/3.3/landmark-banner-is-top-level
[landmark-complementary-is-top-level]: https://dequeuniversity.com/rules/axe/3.3/landmark-complementary-is-top-level
[landmark-contentinfo-is-top-level]: https://dequeuniversity.com/rules/axe/3.3/landmark-contentinfo-is-top-level
[landmark-main-is-top-level]: https://dequeuniversity.com/rules/axe/3.3/landmark-main-is-top-level
[landmark-no-duplicate-banner]: https://dequeuniversity.com/rules/axe/3.3/landmark-no-duplicate-banner
[landmark-no-duplicate-contentinfo]: https://dequeuniversity.com/rules/axe/3.3/landmark-no-duplicate-contentinfo
[landmark-one-main]: https://dequeuniversity.com/rules/axe/3.3/landmark-one-main
[landmark-unique]: https://dequeuniversity.com/rules/axe/3.3/landmark-unique
[layout-table]: https://dequeuniversity.com/rules/axe/3.3/layout-table
[p-as-heading]: https://dequeuniversity.com/rules/axe/3.3/p-as-heading
[page-has-heading-one]: https://dequeuniversity.com/rules/axe/3.3/page-has-heading-one
