<!-- autogenerated by scripts/create/create-docs.js -->
<!-- markdownlint-disable MD013 -->
# Axe: Structure (`structure`)

`axe/structure` contains accessibility rules
from the axe structure category.

See the ["Can the hint be configured?"][can configure] section of
`hint-axe` for examples of enabling, disabling, and changing the
severity of individual rules.

## Default rules (WCAG 2.1 Level A and Level AA)

* [\<dl> elements must only directly contain properly-ordered \<dt> and \<dd> groups, \<script> or \<template> elements][definition-list] (definition-list)
* [\<dt> and \<dd> elements must be contained by a \<dl>][dlitem] (dlitem)
* [\<ul> and \<ol> must only directly contain \<li>, \<script> or \<template> elements][list] (list)
* [\<li> elements must be contained in a \<ul> or \<ol>][listitem] (listitem)

## Additional rules (off by default)

* [CSS Media queries are not used to lock display orientation][css-orientation-lock] (css-orientation-lock)
* [Frames must be tested with axe-core][frame-tested] (frame-tested)
* [Hidden content on the page cannot be analyzed][hidden-content] (hidden-content)

<!-- Link labels: -->

[can configure]: https://webhint.io/docs/user-guide/hints/hint-axe/#can-the-hint-be-configured
[css-orientation-lock]: https://dequeuniversity.com/rules/axe/3.3/css-orientation-lock
[definition-list]: https://dequeuniversity.com/rules/axe/3.3/definition-list
[dlitem]: https://dequeuniversity.com/rules/axe/3.3/dlitem
[frame-tested]: https://dequeuniversity.com/rules/axe/3.3/frame-tested
[hidden-content]: https://dequeuniversity.com/rules/axe/3.3/hidden-content
[list]: https://dequeuniversity.com/rules/axe/3.3/list
[listitem]: https://dequeuniversity.com/rules/axe/3.3/listitem
