<!-- autogenerated by scripts/create/create-docs.js -->
<!-- markdownlint-disable MD013 -->
# Axe: Text Alternatives (`text-alternatives`)

`axe/text-alternatives` contains accessibility rules
from the axe text-alternatives category.

See the ["Can the hint be configured?"][can configure] section of
`hint-axe` for examples of enabling, disabling, and changing the
severity of individual rules.

## Default rules (WCAG 2.1 Level A and Level AA)

* [Active \<area> elements must have alternate text][area-alt] (area-alt)
* [Documents must have \<title> element to aid in navigation][document-title] (document-title)
* [Frames must have title attribute][frame-title] (frame-title)
* [Images must have alternate text][image-alt] (image-alt)
* [Image buttons must have alternate text][input-image-alt] (input-image-alt)
* [\<object> elements must have alternate text][object-alt] (object-alt)
* [[role='img'] elements have an alternative text][role-img-alt] (role-img-alt)
* [Server-side image maps must not be used][server-side-image-map] (server-side-image-map)
* [\<video> elements must have captions][video-caption] (video-caption)
* [\<video> elements must have an audio description track][video-description] (video-description)

## Additional rules (off by default)

* [Frames must have a unique title attribute][frame-title-unique] (frame-title-unique)
* [Alternative text of images should not be repeated as text][image-redundant-alt] (image-redundant-alt)

<!-- Link labels: -->

[can configure]: https://webhint.io/docs/user-guide/hints/hint-axe/#can-the-hint-be-configured
[area-alt]: https://dequeuniversity.com/rules/axe/3.3/area-alt
[document-title]: https://dequeuniversity.com/rules/axe/3.3/document-title
[frame-title]: https://dequeuniversity.com/rules/axe/3.3/frame-title
[frame-title-unique]: https://dequeuniversity.com/rules/axe/3.3/frame-title-unique
[image-alt]: https://dequeuniversity.com/rules/axe/3.3/image-alt
[image-redundant-alt]: https://dequeuniversity.com/rules/axe/3.3/image-redundant-alt
[input-image-alt]: https://dequeuniversity.com/rules/axe/3.3/input-image-alt
[object-alt]: https://dequeuniversity.com/rules/axe/3.3/object-alt
[role-img-alt]: https://dequeuniversity.com/rules/axe/3.3/role-img-alt
[server-side-image-map]: https://dequeuniversity.com/rules/axe/3.3/server-side-image-map
[video-caption]: https://dequeuniversity.com/rules/axe/3.3/video-caption
[video-description]: https://dequeuniversity.com/rules/axe/3.3/video-description
