// autogenerated by scripts/create/create-metas.js
import { Category } from 'hint/dist/src/lib/enums/category';
import { HintScope } from 'hint/dist/src/lib/enums/hint-scope';
import { HintMetadata } from 'hint/dist/src/lib/types';

import { getMessage } from '../i18n.import';

const meta: HintMetadata = {
    docs: {
        category: Category.accessibility,
        description: getMessage('textAlternatives_description', 'en'),
        name: getMessage('textAlternatives_name', 'en')
    },
    /* istanbul ignore next */
    getDescription(language: string) {
        return getMessage('textAlternatives_description', language);
    },
    /* istanbul ignore next */
    getName(language: string) {
        return getMessage('textAlternatives_name', language);
    },
    id: 'axe/text-alternatives',
    schema: [{
        additionalProperties: false,
        properties: {
            'area-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'document-title': { enum: ['off', 'warning', 'error'], type: 'string' },
            'frame-title': { enum: ['off', 'warning', 'error'], type: 'string' },
            'frame-title-unique': { enum: ['off', 'warning', 'error'], type: 'string' },
            'image-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'image-redundant-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'input-image-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'object-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'role-img-alt': { enum: ['off', 'warning', 'error'], type: 'string' },
            'server-side-image-map': { enum: ['off', 'warning', 'error'], type: 'string' },
            'video-caption': { enum: ['off', 'warning', 'error'], type: 'string' },
            'video-description': { enum: ['off', 'warning', 'error'], type: 'string' }
        }
    }],
    scope: HintScope.any
};

export default meta;
