import { Category } from 'hint/dist/src/lib/enums/category';
import { HintScope } from 'hint/dist/src/lib/enums/hint-scope';
import { HintMetadata } from 'hint/dist/src/lib/types';

import { getMessage } from './i18n.import';

const meta: HintMetadata = {
    docs: {
        category: Category.compatibility,
        description: getMessage('description', 'en'),
        name: getMessage('name', 'en')
    },
    /* istanbul ignore next */
    getDescription(language: string) {
        return getMessage('description', language);
    },
    /* istanbul ignore next */
    getName(language: string) {
        return getMessage('name', language);
    },
    id: 'stylesheet-limits',
    schema: [{
        additionalProperties: false,
        definitions: {
            number: {
                minimum: 0,
                type: 'integer'
            }
        },
        properties: {
            maxImports: { $ref: '#/definitions/number' },
            maxRules: { $ref: '#/definitions/number' },
            maxSheets: { $ref: '#/definitions/number' }
        },
        type: ['object', 'null']
    }],
    scope: HintScope.site
};

export default meta;
